#!/usr/bin/perl -w
# $Id: Config.pm,v 1.17 2001/03/14 09:46:42 pbaltz Exp $


package Sauce::Config;

use File::Path;

sub VERSION { 
	my $id = q$Revision: 1.17 $;
  my ($vernum) = ($id =~ m/([\d\.]+)/);
  return $vernum;
}

# configurable parameters
sub WWW_group_id { 11; }
sub WWW_user { return 'httpd'; }
sub groupdir_owner { return 'admin'; }
sub admin_user { 'admin'; }
sub alteradmin_user { 'alteradmin'; }
sub homedir_base { '/home/users'; }
sub groupdir_base { '/home/groups'; }
sub default_shell { '/bin/usersh'; }
sub bad_shell { return '/bin/badsh'; }
sub vsitedir_base { return '/home/sites'; }
sub webdir { return 'web'; }
sub main_group { return 'home'; }
sub site_adm_group { return 'site-adm'; };
sub first_uid { return 110; }
sub first_gid { return 110; }
sub bytes_per_block { return 1024; }

# directories where I expect to find certain utilities
sub bin_useradd { '/usr/sbin/useradd'; }
sub bin_usermod { '/usr/sbin/usermod'; }
sub bin_userdel { '/usr/sbin/userdel'; }
sub bin_htpasswd { '/usr/bin/htpasswd'; }
sub bin_sendmail { '/usr/sbin/sendmail'; }

# permissions
sub perm_UserBaseDir { 0755; }
sub perm_UserDir { 02751; }
sub perm_GroupDir { 02775; }
sub perm_UserPrivDir { 02700; }

# Global file locations. NOT for location used in only one handler or module.

sub dir_Cron_basedir { return "/etc/cron."; }
sub dir_Cron_intervals { return ('quarter-hourly','half-hourly','hourly','quarter-daily','daily','weekly','monthly','never'); }
sub http_confdir { return '/etc/httpd/conf/'; }
sub vhost_dir
{
	my $vhost_dir = http_confdir . 'vhosts';

	if (! -d $vhost_dir)
	{
		mkpath($vhost_dir, 0, 0755);
	}

	return $vhost_dir;
}

sub httpd_conf { return '/etc/httpd/conf/httpd.conf'; }
sub group_file { return '/etc/group'; }
sub virtusertable { return '/etc/mail/virtusertable'; }

# okay
1;
